Calabash does not detect Saxon PE without -a option #22

Closed
jsulak opened this Issue Nov 21, 2011 · 1 comment

Comments

Projects
None yet
2 participants
@jsulak

jsulak commented Nov 21, 2011

I'm attempting to use Saxon extension functions in an XSLT called from within a pipeline, but I get the error "Saxon extension functions are not available under Saxon-HE." However, I am using Saxon PE, so they should be available.

Using the -a command-line parameter makes it work, but since I'm using Saxon PE instead of EE, it gives a warning.

Here's the command I'm using to launch it:

java -cp y:\saxon\saxon9pe.jar;y:\saxon\;y:\calabash\calabash.jar com.xmlcalabash.drivers.Main

I'm using Saxon 9.3.0.11 and Calabash 0.9.40 on Windows 7 64-bit.

ndw added a commit that referenced this issue Dec 2, 2011

Fixed issue #22. Added support for new option to request the saxon pr…
…ocessor edition (independent of schema awareness)
@ndw

This comment has been minimized.

Show comment
Hide comment
@ndw

ndw Dec 2, 2011

Owner

You can now use the "saxon-processor" option to request a PE processor independent of schema awareness. I just misunderstood the underlying Saxon API, I think. Or it changed when Mike introduced PE. Or something.

Owner

ndw commented Dec 2, 2011

You can now use the "saxon-processor" option to request a PE processor independent of schema awareness. I just misunderstood the underlying Saxon API, I think. Or it changed when Mike introduced PE. Or something.

@ndw ndw closed this Dec 2, 2011

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment